## ros-humble-turtlebot4-ignition-toolbox 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(turtlebot4_ignition_toolbox)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rcutils REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(turtlebot4_msgs REQUIRED)

#Build

include_directories(
  include
)

add_library(${PROJECT_NAME}_lib
  "src/hmi_main.cpp"
  "src/hmi_node.cpp"
)

set(DEPENDENCIES
  "rclcpp"
  "rclcpp_action"
  "rcutils"
  "std_msgs"
  "sensor_msgs"
  "turtlebot4_msgs"
)

target_link_libraries(${PROJECT_NAME}_lib ${GPIOD_LIBRARY})

ament_target_dependencies(${PROJECT_NAME}_lib ${DEPENDENCIES})

set(EXECUTABLE_NAME "turtlebot4_ignition_hmi_node")

add_executable(${EXECUTABLE_NAME} src/hmi_main.cpp)
target_link_libraries(${EXECUTABLE_NAME} ${PROJECT_NAME}_lib)
ament_target_dependencies(${EXECUTABLE_NAME} ${DEPENDENCIES})

install(TARGETS ${EXECUTABLE_NAME}
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_copyright
  )
  ament_lint_auto_find_test_dependencies()
endif()


ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-humble-turtlebot4-ignition-toolbox (1.0.0-1jammy) jammy; urgency=high

  * Multiple robot support
  * Contributors: Roni Kreinin, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 16 May 2023 04:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (0.1.1-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (0.1.0-1jammy) jammy; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 04 May 2022 04:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot4-ignition-toolbox
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rcutils, ros-humble-ros-ign-interfaces, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-turtlebot4-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-turtlebot4-ignition-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rcutils, ros-humble-ros-ign-interfaces, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-turtlebot4-msgs, ros-humble-ros-workspace
Description: Turtlebot4 Ignition Toolbox

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-ignition-toolbox//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-turtlebot4-ignition-toolbox 1.0.2

=== debian/changelog ===
ros-humble-turtlebot4-ignition-toolbox (1.0.2-3bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 14 Apr 2024 16:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (1.0.1-3bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (1.0.0-3bookworm) bookworm; urgency=high

  * Multiple robot support
  * Contributors: Roni Kreinin, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 15 May 2023 16:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (0.1.1-3bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 08 May 2022 16:00:00 -0000

ros-humble-turtlebot4-ignition-toolbox (0.1.0-3bookworm) bookworm; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 03 May 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-ignition-toolbox//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-ignition-toolbox//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-turtlebot4-ignition-toolbox//opt/ros/humble/opt/turtlebot4_ignition_toolbox/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
